Package Details: vmware-vsphere-web-client-plugin 6.2.0-4

Git Clone URL: https://aur.archlinux.org/vmware-vsphere-web-client-plugin.git (read-only)
Package Base: vmware-vsphere-web-client-plugin
Description: Firefox and Chromium plugin, to access virtual machines console from vSphere Web Client.
Upstream URL: http://www.vmware.com/
Licenses: custom:vmware
Submitter: ReNoM
Maintainer: paul.wilk
Last Packager: paul.wilk
Votes: 22
Popularity: 0.000137
First Submitted: 2013-04-19 10:26
Last Updated: 2018-02-20 15:53

Dependencies (4)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

jadamcraig commented on 2014-02-17 17:18

When attempting to launch the console for a VM within the web interface after installing the 5.1 .bundle with the help of this package, I receive an error from both Firefox and Google Chrome: "Error: Error calling method on NPObject!"

Reviewing terminal output from Firefox just before the GUI error displays, I see the following:

2014-02-17 12:10:07.963 [/build/mts/release/bora-1060398/bora/apps/vmplayer/npplugin/linux/../../plugin-common/utils.h:145]: Advanced config parsed into the features: 0
2014-02-17 12:10:07.964 [/build/mts/release/bora-1060398/bora/apps/vmplayer/npplugin/linux/VmrcDelegateImpl.cc:1309]: Forked process for /usr/lib/vmware-vmrc/5.1/vmware-vmrc: 2234
2014-02-17 12:10:07.964 [/build/mts/release/bora-1060398/bora/apps/vmplayer/npplugin/linux/VmrcDelegateImpl.cc:1309]: Forked process for /usr/lib/vmware-vmrc/5.1/vmware-vmrc: 0

(vmware-vmrc:2234): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",

(vmware-vmrc:2234): Gtk-WARNING **: Unable to locate theme engine in module_path: "adwaita",
/usr/share/themes/Adwaita/gtk-2.0/gtkrc:1137: error: unexpected identifier `direction', expected character `}'
Gtk-Message: Failed to load module "canberra-gtk-module": libcanberra-gtk-module.so: cannot open shared object file: No such file or directory
Unable to load image-loading module: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory
Unable to load image-loading module: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory
Unable to load image-loading module: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory
Unable to load image-loading module: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: @@LIBCONF_DIR@@/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so: cannot open shared object file: No such file or directory
process 2234: Attempt to remove filter function 0x7f15485e1e10 user data 0x7f1557c2c1a0, but no such filter has been added
D-Bus not built with -rdynamic so unable to print a backtrace
2014-02-17 12:10:37.964 [/build/mts/release/bora-1060398/bora/apps/vmplayer/npplugin/linux/VmrcDelegateImpl.cc:332]: Timeout expired while waiting for a child process to start

I presumed that the issue was a consequence of libpixbufloader-png.so not being available to the plugin, so I installed 'gdk-pixbuf' via pacman. After removing the 'vmware-vsphere-web-client-plugin' package, rebooting, then rebuilding and freshly installing 'vmware-vsphere-web-client-plugin', I can confirm that I'm still seeing the same error.

Any help would be greatly appreciated.

ReNoM commented on 2014-01-22 05:08

BotoX PKGBUILD is ok? I can upload it?
PS We use 5.1 version for now :(.

daschu117 commented on 2013-11-16 10:13

I managed to get access to the vCenter 5.5 Web Client by using Chromium with PepperFlash (https://aur.archlinux.org/packages/chromium-pepper-flash-stable/).

However, I still had the Client Integration Plug-in for vCenter 5.1 installed, and I was having trouble downloading the new .bundle files. In case you want to retreive the .bundle files directly from the appliance, they can be found here:
/usr/lib/vmware-vsphere-client/server/work/deployer/s/global/72/0/container-app-war-5.5.0.war/vmrc

Hope this helps

BotoX commented on 2013-11-11 00:14

For 5.5:
http://p.pomf.se/2065
MD5 sums set to SKIP because lazy.

ReNoM commented on 2013-11-07 07:52

killermoehre, I use extra/flashplugin.

killermoehre commented on 2013-11-07 07:37

Hi,

I have the problem, that the plugin is recognized by chromium, but not by the vSphere Web Service. I use the pepper-flash-plugin, so flash is recent. Any ideas?

cros13 commented on 2013-10-24 10:22

Please update for 5.5

ReNoM commented on 2013-09-03 07:15

Package updated.

tachy commented on 2013-08-19 09:12

Please update for vCenter Server 5.1.0 Update 1a.

PKGBUILD fix (64-bit only):
sed -i -e 's/223676592f0edb43ab1ad128c2e9942f/0e329f1d77203f559fc69ef8e9f5b7a4/g' -e 's/-781747/-1060398/g' -e 's/^pkgrel=1$/pkgrel=2/' PKGBUILD

Anonymous comment on 2013-07-24 13:42

This needs some tweaking for vCenter Server 5.1.0 Update 1a. Unfortunately the .bundle filename is the same, but makepkg will break on the md5 compare.

1. New md5sum for x86_64: 0e329f1d77203f559fc69ef8e9f5b7a4 (not sure about 32)

2. Fix library version by replacing string "781747" with "1060398" in 4 places